org.apache.xmlbeans.impl.common

## Class XmlEventBase

- java.lang.Object
- - org.apache.xmlbeans.impl.common.XmlEventBase

All Implemented Interfaces:
  XMLEvent

    public abstract class XmlEventBase
    extends Object
    implements XMLEvent

Abstract base class which implements the type part XMLEvent.

### Field Summary

### Fields inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

`CHANGE_PREFIX_MAPPING, CHARACTER_DATA, COMMENT, END_DOCUMENT, END_ELEMENT, END_PREFIX_MAPPING, ENTITY_REFERENCE, NULL_ELEMENT, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT, START_PREFIX_MAPPING, XML_EVENT`

### Constructor Summary

Constructors
Constructor and Description
`XmlEventBase()`
`XmlEventBase(int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Get the event type of the current element, returns an integer so that switch statements can be written on the result
`String` `getTypeAsString()` Get the string value of the type name
`boolean` `isChangePrefixMapping()`
`boolean` `isCharacterData()`
`boolean` `isEndDocument()`
`boolean` `isEndElement()`
`boolean` `isEndPrefixMapping()`
`boolean` `isEntityReference()`
`boolean` `isNull()`
`boolean` `isProcessingInstruction()`
`boolean` `isSpace()`
`boolean` `isStartDocument()`
`boolean` `isStartElement()` Method access to the elements type
`boolean` `isStartPrefixMapping()`
`void` `setType(int type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

`getLocation, getName, getSchemaType, hasName`

### Constructor Detail

#### XmlEventBase

    public XmlEventBase()

#### XmlEventBase

    public XmlEventBase(int type)

### Method Detail

#### setType

    public void setType(int type)

#### getType

    public int getType()

Description copied from interface: `XMLEvent`
Get the event type of the current element, returns an integer so that switch statements can be written on the result

Specified by:
  `getType` in interface `XMLEvent`

#### getTypeAsString

    public String getTypeAsString()

Description copied from interface: `XMLEvent`
Get the string value of the type name

Specified by:
  `getTypeAsString` in interface `XMLEvent`

#### isStartElement

    public boolean isStartElement()

Description copied from interface: `XMLEvent`
Method access to the elements type

Specified by:
  `isStartElement` in interface `XMLEvent`

#### isEndElement

    public boolean isEndElement()

Specified by:
  `isEndElement` in interface `XMLEvent`

#### isEntityReference

    public boolean isEntityReference()

Specified by:
  `isEntityReference` in interface `XMLEvent`

#### isStartPrefixMapping

    public boolean isStartPrefixMapping()

Specified by:
  `isStartPrefixMapping` in interface `XMLEvent`

#### isEndPrefixMapping

    public boolean isEndPrefixMapping()

Specified by:
  `isEndPrefixMapping` in interface `XMLEvent`

#### isChangePrefixMapping

    public boolean isChangePrefixMapping()

Specified by:
  `isChangePrefixMapping` in interface `XMLEvent`

#### isProcessingInstruction

    public boolean isProcessingInstruction()

Specified by:
  `isProcessingInstruction` in interface `XMLEvent`

#### isCharacterData

    public boolean isCharacterData()

Specified by:
  `isCharacterData` in interface `XMLEvent`

#### isSpace

    public boolean isSpace()

Specified by:
  `isSpace` in interface `XMLEvent`

#### isNull

    public boolean isNull()

Specified by:
  `isNull` in interface `XMLEvent`

#### isStartDocument

    public boolean isStartDocument()

Specified by:
  `isStartDocument` in interface `XMLEvent`

#### isEndDocument

    public boolean isEndDocument()

Specified by:
  `isEndDocument` in interface `XMLEvent`